## Class template direct_event_type_mapping

boost::log::sinks::event_log::direct_event_type_mapping — Straightforward event type mapping.

## Synopsis

    // In header: <boost/log/sinks/event_log_backend.hpp>

    template<typename AttributeValueT = int>
    class direct_event_type_mapping :
      public basic_direct_mapping< event_type, AttributeValueT >
    {
    public:
      // construct/copy/destruct
      explicit direct_event_type_mapping(attribute_name const &);
    };

## Description

This type of mapping assumes that attribute with a particular name always provides values that map directly onto the native event types. The mapping simply returns the extracted attribute value converted to the native event type.

### `direct_event_type_mapping` public construct/copy/destruct

1.     explicit direct_event_type_mapping(attribute_name const & name);

   Constructor

   Parameters:

   `name` | Attribute name